Index: src/sas/sasview/test/1d_data/hSDS_D2O_2p0_percent_0p2M_NaCl.xml
===================================================================
--- src/sas/sasview/test/1d_data/hSDS_D2O_2p0_percent_0p2M_NaCl.xml	(revision efe730d4bba7a05c203957e4495eece8359fcd77)
+++ src/sas/sasview/test/1d_data/hSDS_D2O_2p0_percent_0p2M_NaCl.xml	(revision efe730d4bba7a05c203957e4495eece8359fcd77)
@@ -149,94 +149,94 @@
 		</SASdata>
 		<SAStransmission_spectrum name="sample">
-			<Tdata><Lambda unit="Wavelength">2.2385</Lambda><T unit="none">0.86816</T><Tdev unit="none">0.0182583</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.31685</Lambda><T unit="none">0.851364</T><Tdev unit="none">0.0165751</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.39794</Lambda><T unit="none">0.850328</T><Tdev unit="none">0.015748</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.48186</Lambda><T unit="none">0.819327</T><Tdev unit="none">0.0144717</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.56873</Lambda><T unit="none">0.824205</T><Tdev unit="none">0.0139193</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.65864</Lambda><T unit="none">0.830737</T><Tdev unit="none">0.0138335</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.75169</Lambda><T unit="none">0.83823</T><Tdev unit="none">0.0138853</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.848</Lambda><T unit="none">0.843573</T><Tdev unit="none">0.0138911</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.94768</Lambda><T unit="none">0.814884</T><Tdev unit="none">0.0132879</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.05085</Lambda><T unit="none">0.820156</T><Tdev unit="none">0.0134283</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.15763</Lambda><T unit="none">0.812478</T><Tdev unit="none">0.013356</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.26814</Lambda><T unit="none">0.829049</T><Tdev unit="none">0.0137348</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.38253</Lambda><T unit="none">0.816297</T><Tdev unit="none">0.0137839</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.50092</Lambda><T unit="none">0.807763</T><Tdev unit="none">0.013791</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.62345</Lambda><T unit="none">0.811704</T><Tdev unit="none">0.0141782</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.75027</Lambda><T unit="none">0.826308</T><Tdev unit="none">0.0146706</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.88153</Lambda><T unit="none">0.800996</T><Tdev unit="none">0.0145204</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.01738</Lambda><T unit="none">0.789541</T><Tdev unit="none">0.0145953</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.15799</Lambda><T unit="none">0.814097</T><Tdev unit="none">0.0148735</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.30352</Lambda><T unit="none">0.82196</T><Tdev unit="none">0.0150057</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.45414</Lambda><T unit="none">0.813332</T><Tdev unit="none">0.0148418</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.61004</Lambda><T unit="none">0.813151</T><Tdev unit="none">0.0152674</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.77139</Lambda><T unit="none">0.79673</T><Tdev unit="none">0.0144917</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.93839</Lambda><T unit="none">0.794078</T><Tdev unit="none">0.0141706</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.11123</Lambda><T unit="none">0.813549</T><Tdev unit="none">0.0146863</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.29012</Lambda><T unit="none">0.816075</T><Tdev unit="none">0.0148919</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.47528</Lambda><T unit="none">0.795511</T><Tdev unit="none">0.0146964</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.66691</Lambda><T unit="none">0.801745</T><Tdev unit="none">0.0151593</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.86525</Lambda><T unit="none">0.795244</T><Tdev unit="none">0.0153005</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.07054</Lambda><T unit="none">0.796238</T><Tdev unit="none">0.0157736</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.28301</Lambda><T unit="none">0.787198</T><Tdev unit="none">0.0164255</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.50291</Lambda><T unit="none">0.774648</T><Tdev unit="none">0.0163529</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.73051</Lambda><T unit="none">0.790995</T><Tdev unit="none">0.0175304</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.96608</Lambda><T unit="none">0.798801</T><Tdev unit="none">0.0186696</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.2099</Lambda><T unit="none">0.814048</T><Tdev unit="none">0.0197538</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.46224</Lambda><T unit="none">0.798556</T><Tdev unit="none">0.0209193</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.72342</Lambda><T unit="none">0.819364</T><Tdev unit="none">0.0227707</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.99374</Lambda><T unit="none">0.806212</T><Tdev unit="none">0.024287</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">8.27352</Lambda><T unit="none">0.783517</T><Tdev unit="none">0.0251105</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">8.56309</Lambda><T unit="none">0.852889</T><Tdev unit="none">0.0293667</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">8.8628</Lambda><T unit="none">0.819569</T><Tdev unit="none">0.0305564</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">9.173</Lambda><T unit="none">0.807621</T><Tdev unit="none">0.03205</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">9.49406</Lambda><T unit="none">0.78865</T><Tdev unit="none">0.0347793</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">9.82867</Lambda><T unit="none">0.758171</T><Tdev unit="none">0.0367248</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.2385</Lambda><T unit="none">0.86816</T><Tdev unit="none">0.0182583</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.31685</Lambda><T unit="none">0.851364</T><Tdev unit="none">0.0165751</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.39794</Lambda><T unit="none">0.850328</T><Tdev unit="none">0.015748</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.48186</Lambda><T unit="none">0.819327</T><Tdev unit="none">0.0144717</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.56873</Lambda><T unit="none">0.824205</T><Tdev unit="none">0.0139193</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.65864</Lambda><T unit="none">0.830737</T><Tdev unit="none">0.0138335</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.75169</Lambda><T unit="none">0.83823</T><Tdev unit="none">0.0138853</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.848</Lambda><T unit="none">0.843573</T><Tdev unit="none">0.0138911</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.94768</Lambda><T unit="none">0.814884</T><Tdev unit="none">0.0132879</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.05085</Lambda><T unit="none">0.820156</T><Tdev unit="none">0.0134283</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.15763</Lambda><T unit="none">0.812478</T><Tdev unit="none">0.013356</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.26814</Lambda><T unit="none">0.829049</T><Tdev unit="none">0.0137348</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.38253</Lambda><T unit="none">0.816297</T><Tdev unit="none">0.0137839</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.50092</Lambda><T unit="none">0.807763</T><Tdev unit="none">0.013791</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.62345</Lambda><T unit="none">0.811704</T><Tdev unit="none">0.0141782</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.75027</Lambda><T unit="none">0.826308</T><Tdev unit="none">0.0146706</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.88153</Lambda><T unit="none">0.800996</T><Tdev unit="none">0.0145204</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.01738</Lambda><T unit="none">0.789541</T><Tdev unit="none">0.0145953</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.15799</Lambda><T unit="none">0.814097</T><Tdev unit="none">0.0148735</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.30352</Lambda><T unit="none">0.82196</T><Tdev unit="none">0.0150057</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.45414</Lambda><T unit="none">0.813332</T><Tdev unit="none">0.0148418</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.61004</Lambda><T unit="none">0.813151</T><Tdev unit="none">0.0152674</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.77139</Lambda><T unit="none">0.79673</T><Tdev unit="none">0.0144917</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.93839</Lambda><T unit="none">0.794078</T><Tdev unit="none">0.0141706</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.11123</Lambda><T unit="none">0.813549</T><Tdev unit="none">0.0146863</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.29012</Lambda><T unit="none">0.816075</T><Tdev unit="none">0.0148919</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.47528</Lambda><T unit="none">0.795511</T><Tdev unit="none">0.0146964</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.66691</Lambda><T unit="none">0.801745</T><Tdev unit="none">0.0151593</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.86525</Lambda><T unit="none">0.795244</T><Tdev unit="none">0.0153005</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.07054</Lambda><T unit="none">0.796238</T><Tdev unit="none">0.0157736</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.28301</Lambda><T unit="none">0.787198</T><Tdev unit="none">0.0164255</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.50291</Lambda><T unit="none">0.774648</T><Tdev unit="none">0.0163529</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.73051</Lambda><T unit="none">0.790995</T><Tdev unit="none">0.0175304</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.96608</Lambda><T unit="none">0.798801</T><Tdev unit="none">0.0186696</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.2099</Lambda><T unit="none">0.814048</T><Tdev unit="none">0.0197538</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.46224</Lambda><T unit="none">0.798556</T><Tdev unit="none">0.0209193</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.72342</Lambda><T unit="none">0.819364</T><Tdev unit="none">0.0227707</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.99374</Lambda><T unit="none">0.806212</T><Tdev unit="none">0.024287</Tdev></Tdata>
+			<Tdata><Lambda unit="A">8.27352</Lambda><T unit="none">0.783517</T><Tdev unit="none">0.0251105</Tdev></Tdata>
+			<Tdata><Lambda unit="A">8.56309</Lambda><T unit="none">0.852889</T><Tdev unit="none">0.0293667</Tdev></Tdata>
+			<Tdata><Lambda unit="A">8.8628</Lambda><T unit="none">0.819569</T><Tdev unit="none">0.0305564</Tdev></Tdata>
+			<Tdata><Lambda unit="A">9.173</Lambda><T unit="none">0.807621</T><Tdev unit="none">0.03205</Tdev></Tdata>
+			<Tdata><Lambda unit="A">9.49406</Lambda><T unit="none">0.78865</T><Tdev unit="none">0.0347793</Tdev></Tdata>
+			<Tdata><Lambda unit="A">9.82867</Lambda><T unit="none">0.758171</T><Tdev unit="none">0.0367248</Tdev></Tdata>
 		</SAStransmission_spectrum>
 		<SAStransmission_spectrum name="can">
-			<Tdata><Lambda unit="Wavelength">2.2385</Lambda><T unit="none">0.860815</T><Tdev unit="none">0.0180986</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.31685</Lambda><T unit="none">0.845167</T><Tdev unit="none">0.0164779</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.39794</Lambda><T unit="none">0.844483</T><Tdev unit="none">0.015598</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.48186</Lambda><T unit="none">0.837217</T><Tdev unit="none">0.0146662</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.56873</Lambda><T unit="none">0.828356</T><Tdev unit="none">0.0140106</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.65864</Lambda><T unit="none">0.858083</T><Tdev unit="none">0.0142075</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.75169</Lambda><T unit="none">0.854147</T><Tdev unit="none">0.0140624</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.848</Lambda><T unit="none">0.840658</T><Tdev unit="none">0.0137717</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">2.94768</Lambda><T unit="none">0.838745</T><Tdev unit="none">0.0135966</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.05085</Lambda><T unit="none">0.842146</T><Tdev unit="none">0.0136675</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.15763</Lambda><T unit="none">0.825875</T><Tdev unit="none">0.0135082</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.26814</Lambda><T unit="none">0.827836</T><Tdev unit="none">0.0136904</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.38253</Lambda><T unit="none">0.826639</T><Tdev unit="none">0.0138799</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.50092</Lambda><T unit="none">0.820645</T><Tdev unit="none">0.0139414</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.62345</Lambda><T unit="none">0.844024</T><Tdev unit="none">0.014627</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.75027</Lambda><T unit="none">0.846513</T><Tdev unit="none">0.0148914</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">3.88153</Lambda><T unit="none">0.836232</T><Tdev unit="none">0.0150129</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.01738</Lambda><T unit="none">0.800463</T><Tdev unit="none">0.0147561</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.15799</Lambda><T unit="none">0.82719</T><Tdev unit="none">0.0150243</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.30352</Lambda><T unit="none">0.83271</T><Tdev unit="none">0.015155</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.45414</Lambda><T unit="none">0.830733</T><Tdev unit="none">0.0149943</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.61004</Lambda><T unit="none">0.824462</T><Tdev unit="none">0.0153427</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.77139</Lambda><T unit="none">0.81702</T><Tdev unit="none">0.0147501</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">4.93839</Lambda><T unit="none">0.830968</T><Tdev unit="none">0.0146721</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.11123</Lambda><T unit="none">0.805246</T><Tdev unit="none">0.0145375</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.29012</Lambda><T unit="none">0.822089</T><Tdev unit="none">0.0149643</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.47528</Lambda><T unit="none">0.795149</T><Tdev unit="none">0.0146443</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.66691</Lambda><T unit="none">0.821482</T><Tdev unit="none">0.0154357</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">5.86525</Lambda><T unit="none">0.803856</T><Tdev unit="none">0.0154916</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.07054</Lambda><T unit="none">0.843663</T><Tdev unit="none">0.016612</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.28301</Lambda><T unit="none">0.833172</T><Tdev unit="none">0.017083</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.50291</Lambda><T unit="none">0.827066</T><Tdev unit="none">0.0169775</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.73051</Lambda><T unit="none">0.818692</T><Tdev unit="none">0.0177961</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">6.96608</Lambda><T unit="none">0.820816</T><Tdev unit="none">0.0191031</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.2099</Lambda><T unit="none">0.803188</T><Tdev unit="none">0.0196213</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.46224</Lambda><T unit="none">0.842642</T><Tdev unit="none">0.0218106</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.72342</Lambda><T unit="none">0.866726</T><Tdev unit="none">0.023796</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">7.99374</Lambda><T unit="none">0.854952</T><Tdev unit="none">0.0254612</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">8.27352</Lambda><T unit="none">0.859841</T><Tdev unit="none">0.027075</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">8.56309</Lambda><T unit="none">0.928333</T><Tdev unit="none">0.0312963</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">8.8628</Lambda><T unit="none">0.877753</T><Tdev unit="none">0.0319304</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">9.173</Lambda><T unit="none">0.871583</T><Tdev unit="none">0.0341375</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">9.49406</Lambda><T unit="none">0.865242</T><Tdev unit="none">0.0369399</Tdev></Tdata>
-			<Tdata><Lambda unit="Wavelength">9.82867</Lambda><T unit="none">0.833197</T><Tdev unit="none">0.0391619</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.2385</Lambda><T unit="none">0.860815</T><Tdev unit="none">0.0180986</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.31685</Lambda><T unit="none">0.845167</T><Tdev unit="none">0.0164779</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.39794</Lambda><T unit="none">0.844483</T><Tdev unit="none">0.015598</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.48186</Lambda><T unit="none">0.837217</T><Tdev unit="none">0.0146662</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.56873</Lambda><T unit="none">0.828356</T><Tdev unit="none">0.0140106</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.65864</Lambda><T unit="none">0.858083</T><Tdev unit="none">0.0142075</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.75169</Lambda><T unit="none">0.854147</T><Tdev unit="none">0.0140624</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.848</Lambda><T unit="none">0.840658</T><Tdev unit="none">0.0137717</Tdev></Tdata>
+			<Tdata><Lambda unit="A">2.94768</Lambda><T unit="none">0.838745</T><Tdev unit="none">0.0135966</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.05085</Lambda><T unit="none">0.842146</T><Tdev unit="none">0.0136675</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.15763</Lambda><T unit="none">0.825875</T><Tdev unit="none">0.0135082</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.26814</Lambda><T unit="none">0.827836</T><Tdev unit="none">0.0136904</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.38253</Lambda><T unit="none">0.826639</T><Tdev unit="none">0.0138799</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.50092</Lambda><T unit="none">0.820645</T><Tdev unit="none">0.0139414</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.62345</Lambda><T unit="none">0.844024</T><Tdev unit="none">0.014627</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.75027</Lambda><T unit="none">0.846513</T><Tdev unit="none">0.0148914</Tdev></Tdata>
+			<Tdata><Lambda unit="A">3.88153</Lambda><T unit="none">0.836232</T><Tdev unit="none">0.0150129</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.01738</Lambda><T unit="none">0.800463</T><Tdev unit="none">0.0147561</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.15799</Lambda><T unit="none">0.82719</T><Tdev unit="none">0.0150243</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.30352</Lambda><T unit="none">0.83271</T><Tdev unit="none">0.015155</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.45414</Lambda><T unit="none">0.830733</T><Tdev unit="none">0.0149943</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.61004</Lambda><T unit="none">0.824462</T><Tdev unit="none">0.0153427</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.77139</Lambda><T unit="none">0.81702</T><Tdev unit="none">0.0147501</Tdev></Tdata>
+			<Tdata><Lambda unit="A">4.93839</Lambda><T unit="none">0.830968</T><Tdev unit="none">0.0146721</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.11123</Lambda><T unit="none">0.805246</T><Tdev unit="none">0.0145375</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.29012</Lambda><T unit="none">0.822089</T><Tdev unit="none">0.0149643</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.47528</Lambda><T unit="none">0.795149</T><Tdev unit="none">0.0146443</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.66691</Lambda><T unit="none">0.821482</T><Tdev unit="none">0.0154357</Tdev></Tdata>
+			<Tdata><Lambda unit="A">5.86525</Lambda><T unit="none">0.803856</T><Tdev unit="none">0.0154916</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.07054</Lambda><T unit="none">0.843663</T><Tdev unit="none">0.016612</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.28301</Lambda><T unit="none">0.833172</T><Tdev unit="none">0.017083</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.50291</Lambda><T unit="none">0.827066</T><Tdev unit="none">0.0169775</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.73051</Lambda><T unit="none">0.818692</T><Tdev unit="none">0.0177961</Tdev></Tdata>
+			<Tdata><Lambda unit="A">6.96608</Lambda><T unit="none">0.820816</T><Tdev unit="none">0.0191031</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.2099</Lambda><T unit="none">0.803188</T><Tdev unit="none">0.0196213</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.46224</Lambda><T unit="none">0.842642</T><Tdev unit="none">0.0218106</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.72342</Lambda><T unit="none">0.866726</T><Tdev unit="none">0.023796</Tdev></Tdata>
+			<Tdata><Lambda unit="A">7.99374</Lambda><T unit="none">0.854952</T><Tdev unit="none">0.0254612</Tdev></Tdata>
+			<Tdata><Lambda unit="A">8.27352</Lambda><T unit="none">0.859841</T><Tdev unit="none">0.027075</Tdev></Tdata>
+			<Tdata><Lambda unit="A">8.56309</Lambda><T unit="none">0.928333</T><Tdev unit="none">0.0312963</Tdev></Tdata>
+			<Tdata><Lambda unit="A">8.8628</Lambda><T unit="none">0.877753</T><Tdev unit="none">0.0319304</Tdev></Tdata>
+			<Tdata><Lambda unit="A">9.173</Lambda><T unit="none">0.871583</T><Tdev unit="none">0.0341375</Tdev></Tdata>
+			<Tdata><Lambda unit="A">9.49406</Lambda><T unit="none">0.865242</T><Tdev unit="none">0.0369399</Tdev></Tdata>
+			<Tdata><Lambda unit="A">9.82867</Lambda><T unit="none">0.833197</T><Tdev unit="none">0.0391619</Tdev></Tdata>
 		</SAStransmission_spectrum>
 		<SASsample>