Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision bd5c3b11a604dfd75fa3d6424e1ea40bcafd3727)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -80,8 +80,8 @@
         data_cor = Loader().load(find("sam14_cor.cor"))
         for i in range(0, len(data_abs) - 1):
-            self.assertEquals(data_abs.x[i], data_cor.x[i])
-            self.assertEquals(data_abs.y[i], data_cor.y[i])
-            self.assertEquals(data_abs.dxl[i], data_cor.dxl[i])
-            self.assertEquals(data_abs.dxw[i], data_cor.dxw[i])
+            self.assertEqual(data_abs.x[i], data_cor.x[i])
+            self.assertEqual(data_abs.y[i], data_cor.y[i])
+            self.assertEqual(data_abs.dxl[i], data_cor.dxl[i])
+            self.assertEqual(data_abs.dxw[i], data_cor.dxw[i])
             self.assertTrue(data_abs.dxl > 0)
 
Index: test/sasdataloader/test/utest_averaging.py
===================================================================
--- test/sasdataloader/test/utest_averaging.py	(revision 7fd5e2abcc660d7481c92bbd68091179ecb0c4a8)
+++ test/sasdataloader/test/utest_averaging.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -106,5 +106,5 @@
 
     def setUp(self):
-        filepath = find('test_data//MAR07232_rest.h5')
+        filepath = find('test_data' + os.sep + 'MAR07232_rest.h5')
         self.data_list = Loader().load(filepath)
         self.data = self.data_list[0]
@@ -121,5 +121,5 @@
 
         o = r(self.data)
-        filepath = find('test_data//ring_testdata.txt')
+        filepath = find('test_data' + os.sep + 'ring_testdata.txt')
         answer_list = Loader().load(filepath)
         answer = answer_list[0]
@@ -142,5 +142,5 @@
         o = r(self.data)
 
-        filepath = find('test_data//avg_testdata.txt')
+        filepath = find('test_data' + os.sep + 'avg_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(r.nbins_phi):
@@ -177,5 +177,5 @@
         o = r(self.data)
 
-        filepath = find('test_data//slabx_testdata.txt')
+        filepath = find('test_data' + os.sep + 'slabx_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -195,5 +195,5 @@
         o = r(self.data)
 
-        filepath = find('test_data//slaby_testdata.txt')
+        filepath = find('test_data' + os.sep + 'slaby_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -221,5 +221,5 @@
         o = r(self.data)
 
-        filepath = find('test_data//ring_testdata.txt')
+        filepath = find('test_data' + os.sep + 'ring_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -238,5 +238,5 @@
         o = r(self.data)
 
-        filepath = find('test_data//sectorphi_testdata.txt')
+        filepath = find('test_data' + os.sep + 'sectorphi_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -255,5 +255,5 @@
         o = r(self.data)
 
-        filepath = find('test_data//sectorq_testdata.txt')
+        filepath = find('test_data' + os.sep + 'sectorq_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 2ca5d57bc4f8c564621aed80c21b30baf39fe4cc)
+++ test/sasdataloader/test/utest_cansas.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -256,9 +256,9 @@
         self.datafile_basic = find("simpleexamplefile.h5")
         self.datafile_multiplesasentry = find(
-            "test_data//nxcansas_1Dand2D_multisasentry.h5")
+            "test_data" + os.sep + "nxcansas_1Dand2D_multisasentry.h5")
         self.datafile_multiplesasdata = find(
-            "test_data//nxcansas_1Dand2D_multisasdata.h5")
+            "test_data" + os.sep + "nxcansas_1Dand2D_multisasdata.h5")
         self.datafile_multiplesasdata_multiplesasentry = find(
-            "test_data//nxcansas_1Dand2D_multisasentry_multisasdata.h5")
+            "test_data" + os.sep + "nxcansas_1Dand2D_multisasentry_multisasdata.h5")
 
     def test_real_data(self):
@@ -305,10 +305,10 @@
 
     def _check_multiple_data(self, data):
-        self.assertTrue(data.title == "MH4_5deg_16T_SLOW")
-        self.assertTrue(data.run[0] == '33837')
-        self.assertTrue(len(data.run) == 1)
-        self.assertTrue(data.instrument == "SANS2D")
-        self.assertTrue(data.source.radiation == "Spallation Neutron Source")
-        self.assertTrue(len(data.detector) == 2)
+        self.assertEqual(data.title, "MH4_5deg_16T_SLOW")
+        self.assertEqual(data.run[0], '33837')
+        self.assertEqual(len(data.run), 1)
+        self.assertEqual(data.instrument, "SANS2D")
+        self.assertEqual(data.source.radiation, "Spallation Neutron Source")
+        self.assertEqual(len(data.detector), 2)
         self.assertTrue(data.detector[0].name == "rear-detector"
                         or data.detector[1].name == "rear-detector")
@@ -317,18 +317,18 @@
         self.assertAlmostEqual(data.detector[0].distance +
                                data.detector[1].distance, 7230.54, 2)
-        self.assertTrue(data.detector[0].distance_unit == 'mm')
-        self.assertTrue(len(data.trans_spectrum) == 1)
+        self.assertEqual(data.detector[0].distance_unit, 'mm')
+        self.assertEqual(len(data.trans_spectrum), 1)
 
     def _check_1d_data(self, data):
-        self.assertTrue(len(data.x) == 66)
-        self.assertTrue(len(data.x) == len(data.y))
-        self.assertTrue(data.dy[10] == 0.207214)
-        self.assertTrue(data.y[10] == 24.1939)
-        self.assertTrue(data.x[10] == 0.00898113)
+        self.assertEqual(len(data.x), 66)
+        self.assertEqual(len(data.x), len(data.y))
+        self.assertAlmostEqual(data.dy[10], 0.207214)
+        self.assertAlmostEqual(data.y[10], 24.1939)
+        self.assertAlmostEqual(data.x[10], 0.00898113)
 
     def _check_2d_data(self, data):
         self.assertTrue(isinstance(data, Data2D))
-        self.assertTrue(len(data.q_data) == 150*150)
-        self.assertTrue(len(data.q_data) == len(data.data))
+        self.assertEqual(len(data.q_data), 150*150)
+        self.assertEqual(len(data.q_data), len(data.data))
         self.assertAlmostEqual(data.err_data[10], 0.186723989418)
         self.assertAlmostEqual(data.data[10], 0.465181)
@@ -337,9 +337,9 @@
 
     def _check_example_data(self, data):
-        self.assertTrue(data.title == "")
-        self.assertTrue(data.x.size == 100)
-        self.assertTrue(data._xunit == "A^{-1}")
-        self.assertTrue(data._yunit == "cm^{-1}")
-        self.assertTrue(data.y.size == 100)
+        self.assertEqual(data.title, "")
+        self.assertEqual(data.x.size, 100)
+        self.assertEqual(data._xunit, "A^{-1}")
+        self.assertEqual(data._yunit, "cm^{-1}")
+        self.assertEqual(data.y.size, 100)
         self.assertAlmostEqual(data.y[40], 0.952749011516985)
         self.assertAlmostEqual(data.x[40], 0.3834415188257777)
Index: test/sasdataloader/test/utest_generic_file_reader_class.py
===================================================================
--- test/sasdataloader/test/utest_generic_file_reader_class.py	(revision 4a8d55c05d1355e27bf5afa880633879b6178acc)
+++ test/sasdataloader/test/utest_generic_file_reader_class.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -45,5 +45,5 @@
         last_f = f[0]
         if hasattr(last_f, "errors"):
-            self.assertEquals(len(last_f.errors), 1)
+            self.assertEqual(len(last_f.errors), 1)
         else:
             self.fail("Errors did not propogate to the file properly.")
@@ -51,11 +51,11 @@
     def test_same_file_unknown_extensions(self):
         # Five files, all with the same content, but different file extensions
-        no_ext = find("test_data//TestExtensions")
-        not_xml = find("test_data//TestExtensions.notxml")
+        no_ext = find("test_data" + os.sep + "TestExtensions")
+        not_xml = find("test_data" + os.sep + "TestExtensions.notxml")
         # Deprecated extensions
-        asc_dep = find("test_data//TestExtensions.asc")
-        nxs_dep = find("test_data//TestExtensions.nxs")
+        asc_dep = find("test_data" + os.sep + "TestExtensions.asc")
+        nxs_dep = find("test_data" + os.sep + "TestExtensions.nxs")
         # Native extension as a baseline
-        xml_native = find("test_data//TestExtensions.xml")
+        xml_native = find("test_data" + os.sep + "TestExtensions.xml")
         # Load the files and check contents
         no_ext_load = self.generic_reader.load(no_ext)
@@ -70,12 +70,12 @@
         self.check_unknown_extension(xml_load[0])
         # Be sure the deprecation warning is passed with the file
-        self.assertEquals(len(asc_load[0].errors), 1)
-        self.assertEquals(len(nxs_load[0].errors), 1)
+        self.assertEqual(len(asc_load[0].errors), 1)
+        self.assertEqual(len(nxs_load[0].errors), 1)
 
     def check_unknown_extension(self, data):
         self.assertTrue(isinstance(data, Data1D))
-        self.assertEquals(len(data.x), 138)
-        self.assertEquals(data.sample.ID, "TK49 c10_SANS")
-        self.assertEquals(data.meta_data["loader"], "CanSAS XML 1D")
+        self.assertEqual(len(data.x), 138)
+        self.assertEqual(data.sample.ID, "TK49 c10_SANS")
+        self.assertEqual(data.meta_data["loader"], "CanSAS XML 1D")
 
     def tearDown(self):
Index: test/sasdataloader/test/utest_sesans.py
===================================================================
--- test/sasdataloader/test/utest_sesans.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
+++ test/sasdataloader/test/utest_sesans.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -25,5 +25,6 @@
             Test .SES in the full loader to make sure that the file type is correctly accepted
         """
-        file = Loader().load(find("sesans_examples/sphere2micron.ses"))
+        file = Loader().load(find("sesans_examples" + os.sep +
+                                  "sphere2micron.ses"))
         f = file[0]
         # self.assertEqual(f, 5)
@@ -44,5 +45,5 @@
             Test .SES loading on a TOF dataset
         """
-        file = self.loader(find("sesans_examples/sphere_isis.ses"))
+        file = self.loader(find("sesans_examples" + os.sep + "sphere_isis.ses"))
         f = file[0]
         self.assertEqual(len(file), 1)
@@ -62,5 +63,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/sesans_no_data.ses"))
+            find("sesans_examples" + os.sep + "sesans_no_data.ses"))
 
     def test_sesans_no_spin_echo_unit(self):
@@ -71,5 +72,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/no_spin_echo_unit.ses"))
+            find("sesans_examples" + os.sep + "no_spin_echo_unit.ses"))
 
     def test_sesans_future_version(self):
@@ -80,5 +81,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/next_gen.ses"))
+            find("sesans_examples" + os.sep + "next_gen.ses"))
 
     def test_sesans_mandatory_headers(self):
@@ -89,5 +90,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/no_wavelength.ses"))
+            find("sesans_examples" + os.sep + "no_wavelength.ses"))
 
     def test_sesans_columns_match_headers(self):
@@ -98,5 +99,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/too_many_headers.ses"))
+            find("sesans_examples" + os.sep + "too_many_headers.ses"))
 
 if __name__ == "__main__":