Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision db3947c556bc93a7573783ad72696b4f37c202e3)
+++ sasmodels/models/sphere.py	(revision 934a0019578381a82c2f6323b873b21031496f80)
@@ -36,6 +36,7 @@
 References
 ----------
-
-.. [#] A Guinier and G. Fournet, *Small-Angle Scattering of X-Rays*, John Wiley and Sons, New York, (1955)
+ 
+.. [#] A Guinier and G. Fournet, *Small-Angle Scattering of X-Rays*,
+   John Wiley and Sons, New York, (1955)
 
 Source
@@ -90,59 +91,81 @@
     )
     return pars
-
+#2345678901234567890123456789012345678901234567890123456789012345678901234567890
 tests = [
-     [{}, 0.2, 0.726362], # each test starts with default parameter values inside { }, unless modified. Then Q and expected value of I(Q)
+     [{}, 0.2, 0.726362], # each test starts with default parameter values 
+     #            inside { }, unless modified. Then Q and expected value of I(Q)
+     # putting None for an expected result will pass the test if there are no 
+     # errors from the routine, but without any check on the value of the result
+    [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,
+       "radius": 120.}, [0.01,0.1,0.2], 
+     [1.34836265e+04, 6.20114062e+00, 1.04733914e-01]],
      [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,
-       "radius": 120.}, [0.01,0.1,0.2], [1.34836265e+04, 6.20114062e+00, 1.04733914e-01]], # each test starts with default parameter values inside { }, unless modified. Then Q and expected value of I(Q)
-     [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,  # careful tests here R=120 Pd=.2, 
-      #                                        then with S(Q) at default Reff=50 (but this gets changeded to 120) phi=0,2
+     #  careful tests here R=120 Pd=.2, then with S(Q) at default Reff=50 
+     #  (but this gets changed to 120) phi=0,2
        "radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      [0.01,0.1,0.2], [1.74395295e+04, 3.68016987e+00, 2.28843099e-01]],  # a list of Q values and list of expected results is also possible
-    [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,"radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      0.01, 335839.88055473, 1.41045057e+11, 120.0, 8087664.122641933, 1.0], # the longer list here checks  F1, F2, R_eff, volume, volume_ratio = call_Fq(kernel, pars)
+      [0.01,0.1,0.2], [1.74395295e+04, 3.68016987e+00, 2.28843099e-01]],  
+     # a list of Q values and list of expected results is also possible
+    [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,
+     "radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
+      0.01, 335839.88055473, 1.41045057e+11, 120.0, 8087664.122641933, 1.0], 
+     # the longer list here checks  F1, F2, R_eff, volume, volume_ratio 
     [{"radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      0.1, 482.93824329, 29763977.79867414, 120.0, 8087664.122641933, 1.0], # the longer list here checks  F1, F2, R_eff, volume, volume_ratio = call_Fq(kernel, pars)
+      0.1, 482.93824329, 29763977.79867414, 120.0, 8087664.122641933, 1.0], 
     [{"radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      0.2, 1.23330406, 1850806.1197361, 120.0, 8087664.122641933, 1.0], # the longer list here checks  F1, F2, R_eff, volume, volume_ratio = call_Fq(kernel, pars)
+      0.2, 1.23330406, 1850806.1197361, 120.0, 8087664.122641933, 1.0],
    #  But note P(Q) = F2/volume
-   #  F and F^2 are "unscaled", with for  n <F F*>S(q) or for beta approx I(q) = n [<F F*> + <F><F*> (S(q) - 1)]
-   #  for n the number density and <.> the orientation average, and F = integral rho(r) exp(i q . r) dr.
+   #  F and F^2 are "unscaled", with for  n <F F*>S(q) or for beta approx 
+   #          I(q) = n [<F F*> + <F><F*> (S(q) - 1)]
+   #  for n the number density and <.> the orientation average, and 
+   #  F = integral rho(r) exp(i q . r) dr.
    #  The number density is volume fraction divided by particle volume.
-   #  Effectively, this leaves F = V drho form, where form is the usual 3 j1(qr)/(qr) or whatever depending on the shape.
-   # NOTE the @S multiplication by S(Q) also multiplies the answer by volfraction, thus you may like to put in scale at 1/volfraction
+   #  Effectively, this leaves F = V drho form, where form is the usual 
+   #  3 j1(qr)/(qr) or whatever depending on the shape.
+   # @S RESULTS using F1 and F2 from the longer test strng above:
+   #
+   # I(Q) = (F2 + F1^2*(S(Q) -1))*volfraction*scale/Volume  + background
+   #
+   # with by default scale=1.0, background=0.001
+   # NOTE currently S(Q) volfraction is also included in scaling
+   #  structure_factor_mode 0 = normal decoupling approx, 
+   #                        1 = beta(Q) approx
+   # radius_effective_mode  0 is for free choice, 
+   #                        1 is use radius from F2(Q)
+   #    (sphere only has two choices, other models may have more)
+    [{"@S": "hardsphere",
+     "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,"volfraction":0.2,
+     #"radius_effective":50.0,    # hard sphere structure factor
+     "structure_factor_mode": 1,  # mode 0 = normal decoupling approx, 
+     #                                   1 = beta(Q) approx
+     "radius_effective_mode": 0   # this used default hardsphere Reff=50    
+     }, [0.01,0.1,0.2], [1.32473756e+03, 7.36633631e-01, 4.67686201e-02]  ],
     [{"@S": "hardsphere",
      "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,
      "volfraction":0.2,
-     "radius_effective":45.0,     # uses this as gives different answer to either 50 or 120 (check)
-     "structure_factor_mode": 1,  # 0 = normal decoupling approximation, 1 = beta(Q) approx
-     "radius_effective_mode": 0   # equivalent sphere, there is only one valid mode for sphere. says -this used r_eff =0 or default 50?
+     "radius_effective":45.0,     # explicit Reff over rides either 50 or 120
+     "structure_factor_mode": 1,  # beta approx
+     "radius_effective_mode": 0   # 
      }, 0.01, 1316.2990966463444 ],
     [{"@S": "hardsphere",
      "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,
      "volfraction":0.2,
-     #"radius_effective":50.0,        # hard sphere structure factor
-     "structure_factor_mode": 1,  # 0 = normal decoupling approximation, 1 = beta(Q) approx
-     "radius_effective_mode": 0   # this used default 50?
-     }, [0.01,0.1,0.2], [1.32473756e+03, 7.36633631e-01, 4.67686201e-02]  ],
-    [{"@S": "hardsphere",
-     "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,
-     "volfraction":0.2,
-     "radius_effective":120.0,        # hard sphere structure factor
-     "structure_factor_mode": 1,  # 0 = normal decoupling approximation, 1 = beta(Q) approx
-     "radius_effective_mode": 0   # 1 uses 120, 
+     "radius_effective":120.0,    # over ride Reff
+     "structure_factor_mode": 1,  # beta approx
+     "radius_effective_mode": 0   # (mode=1 here also uses 120) 
      }, [0.01,0.1,0.2], [1.57928589e+03, 7.37067923e-01, 4.67686197e-02  ]],
     [{"@S": "hardsphere",
      "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,
      "volfraction":0.2,
-     #"radius_effective":120.0,        # hard sphere structure factor
-     "structure_factor_mode": 0,  # 0 = normal decoupling approximation, 1 = beta(Q) approx
-     "radius_effective_mode": 1   # this used 120 from the form factor
+     #"radius_effective":120.0,   # hard sphere structure factor
+     "structure_factor_mode": 0,  # normal decoupling approximation
+     "radius_effective_mode": 1   # this uses 120 from the form factor
      }, [0.01,0.1,0.2], [1.10112335e+03, 7.41366536e-01, 4.66630207e-02]],
     [{"@S": "hardsphere",
      "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,
      "volfraction":0.2,
-     #"radius_effective":50.0,        # hard sphere structure factor
-     "structure_factor_mode": 0,  # 0 = normal decoupling approximation, 1 = beta(Q) approx
+     #"radius_effective":50.0,    # hard sphere structure factor
+     "structure_factor_mode": 0,  # normal decoupling approximation
      "radius_effective_mode": 0   # this used 50 the default for hardsphere
      }, [0.01,0.1,0.2], [7.82803598e+02, 6.85943611e-01, 4.71586457e-02 ]]
-]# putting None for expected result will pass the test if there are no errors from the routine, but without any check on the value of the result
+]
+#